Subject: Re: linux-next: manual merge of the loongarch tree with the asm-generic tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 10 Jul 2024 11:31:41 +1000

Hi all,

On Tue, 09 Jul 2024 08:00:56 +0200 "Arnd Bergmann" <[email-masked]> wrote:
>
> On Tue, Jul 9, 2024, at 02:01, Stephen Rothwell wrote:
> >
> > Today's linux-next merge of the loongarch tree got a conflict in:
> >
> >   arch/loongarch/include/uapi/asm/unistd.h
> >
> > between commits:
> >
> >   13aa27ce8de0 ("clone3: drop __ARCH_WANT_SYS_CLONE3 macro")
> >   1d7b98ec5d78 ("loongarch: convert to generic syscall table")
> >
> > from the asm-generic tree and commit:
> >
> >   a5d43e6d87c0 ("LoongArch: Define __ARCH_WANT_NEW_STAT in unistd.h")
> >
> > from the loongarch tree.
> >
> > I fixed it up (I think - see below) and can carry the fix as
> > necessary. This is now fixed as far as linux-next is concerned, but any
> > non trivial conflicts should be mentioned to your upstream maintainer
> > when your tree is submitted for merging.  You may also want to consider
> > cooperating with the maintainer of the conflicting tree to minimise any
> > particularly complex conflicts.  
> 
> Thanks for taking care of it. There is a slightly better way
> to do it though:
> 
> > diff --cc arch/loongarch/include/uapi/asm/unistd.h
> > index 1f01980f9c94,b344b1f91715..000000000000
> > --- a/arch/loongarch/include/uapi/asm/unistd.h
> > +++ b/arch/loongarch/include/uapi/asm/unistd.h
> > @@@ -1,3 -1,6 +1,4 @@@
> >   /* SPDX-License-Identifier: GPL-2.0 WITH Linux-syscall-note */
> > + #define __ARCH_WANT_NEW_STAT
> >  -#define __ARCH_WANT_SYS_CLONE
> >  -#define __ARCH_WANT_SYS_CLONE3
> >    
> 
> The macro is no longer needed in the uapi header and
> should now be included in arch/loongarch/include/asm/unistd.h
> instead.

OK, so I have removed the __ARCH_WANT_NEW_STAT line from my resolution
of arch/loongarch/include/uapi/asm/unistd.h and applied the following
merge fix patch:

From: Stephen Rothwell <[email-masked]>
Date: Wed, 10 Jul 2024 11:25:28 +1000
Subject: [PATCH] fixup for "LoongArch: Define __ARCH_WANT_NEW_STAT in unistd.h"

interacting with "loongarch: convert to generic syscall table"

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 arch/loongarch/include/asm/unistd.h | 1 +
 1 file changed, 1 insertion(+)

diff --git a/arch/loongarch/include/asm/unistd.h b/arch/loongarch/include/asm/unistd.h
index fc0a481a7416..e2c0f3d86c7b 100644
--- a/arch/loongarch/include/asm/unistd.h
+++ b/arch/loongarch/include/asm/unistd.h
@@ -8,6 +8,7 @@
 
 #include <uapi/asm/unistd.h>
 
+#define __ARCH_WANT_NEW_STAT
 #define __ARCH_WANT_SYS_CLONE
 
 #define NR_syscalls (__NR_syscalls)
-- 
2.43.0

-- 
Cheers,
Stephen Rothwell